> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evermind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Categories

> List taxonomy categories from ``.taxonomy.md``.



## OpenAPI

````yaml /api-reference/openapi-oss.json get /api/v1/knowledge/categories
openapi: 3.1.0
info:
  title: everos
  description: md-first memory extraction framework
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/knowledge/categories:
    get:
      tags:
        - knowledge
      summary: List Categories
      description: List taxonomy categories from ``.taxonomy.md``.
      operationId: list_categories_route_api_v1_knowledge_categories_get
      parameters:
        - name: app_id
          in: query
          required: false
          schema:
            type: string
            title: App Id
            default: default
        - name: project_id
          in: query
          required: false
          schema:
            type: string
            title: Project Id
            default: default
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope_CategoryListResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuccessEnvelope_CategoryListResponse_:
      properties:
        request_id:
          type: string
          title: Request Id
        data:
          $ref: '#/components/schemas/CategoryListResponse'
      type: object
      required:
        - request_id
        - data
      title: SuccessEnvelope[CategoryListResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CategoryListResponse:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/CategoryDTO'
          type: array
          title: Categories
      type: object
      required:
        - categories
      title: CategoryListResponse
      description: Response for GET /categories.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CategoryDTO:
      properties:
        category_id:
          type: string
          title: Category Id
        description:
          type: string
          title: Description
        document_count:
          type: integer
          title: Document Count
      type: object
      required:
        - category_id
        - description
        - document_count
      title: CategoryDTO
      description: One taxonomy category.

````